For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update credit memo attachment

Updates an existing credit memo attachment.

put

Updates the properties (name, description) of an existing credit memo attachment. Only the fields provided in the request body will be updated. The file content cannot be changed; to replace the file, delete and recreate the attachment.

Path parameters
creditMemoIdstringRequired

The ID of the credit memo to which the attachment belongs.

idstringRequired

The ID of the attachment to update.

Body

Represents an attachment associated with a credit memo in the billing system.

revisioninteger · int32Optional
namestringOptional

Name of the attachment.

Example: raw records data
typestring · enumOptional

Represents the type of billing attachment.

Possible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: invoice.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
descriptionstringOptional

Provides a description of the attachment.

Example: Invoice for March 2025
isDeletedbooleanOptional

Indicates whether the attachment has been marked as deleted.

Example: false
idstringOptional

The unique identifier of the attachment.

Example: CMA-1234-1234
isExternalbooleanOptional

Indicates whether the attachment is stored externally

Responses
200

OK

application/json

Represents an attachment associated with a credit memo in the billing system.

revisioninteger · int32Optional
namestringOptional

Name of the attachment.

Example: raw records data
typestring · enumOptional

Represents the type of billing attachment.

Possible values:
filenamestringOptional

Represents the name of the file associated with the attachment.

Example: invoice.pdf
sizeinteger · int64 · nullableOptional

Indicates the size of the file in bytes.

Example: 102400
contentTypestringOptional

Represents the MIME type of the file content.

Example: application/pdf
descriptionstringOptional

Provides a description of the attachment.

Example: Invoice for March 2025
isDeletedbooleanOptional

Indicates whether the attachment has been marked as deleted.

Example: false
idstringOptional

The unique identifier of the attachment.

Example: CMA-1234-1234
isExternalbooleanOptional

Indicates whether the attachment is stored externally

put/public/v1/billing/credit-memos/{creditMemoId}/attachments/{id}

Last updated

Was this helpful?